Subject: Re: bug#7287: 24.0.50; epa-mail-decrypt changes the current major-mode

From: Robert Pluim <[email-masked]>
Date: Fri, 27 Sep 2019 17:26:11 +0200

>>>>> On Fri, 27 Sep 2019 15:37:46 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Richard Stallman <[email-masked]> writes:
    >> > Do you still see this bug?  If so, do you have a recipe for how to
    >> > reproduce this bug?
    >> 
    >> I have forgotten how to use Epa Mail mode.  Can you tell me how?

    Lars> No, that's what I was hoping you could tell me so that I could try to
    Lars> debug it.  :-)

    Lars> But if somebody else knows how to, please jump in.

I think epa-mail-decrypt is either obsolete, or strongly deprecated,
since everyone should be use message mode with mml tags to get proper
MIME formatting, but hereʼs what I tried:

    Sent myself a message with inline OPENPGP
    Opened that with Gnus
    Told Gnus to *not* automatically decrypt the OPENPGP part :-)
    K-c to get a buffer with the encrypted text
    M-x epa-mail-mode
    C-c C-e C-d

The end result was a buffer called '*decoded*' in fundamental mode,
which is the same mode as what K-c used.

I think you can close this bug.

Robert